Package twisted :: Package protocols :: Module imap4 :: Class MemoryAccount

[show private | hide private]
[frames | no frames]

## Class MemoryAccount

    Perspective --+
                  |
                 MemoryAccount

Method Summary
| `__init__(self, name)`
| `addMailbox(self, name, mbox)`
| `allocateID(self)`
| ``attached`(self, reference, identity)` Called when a remote reference is 'attached' to me. (inherited from `Perspective`)
| `create(self, pathspec)`
| `delete(self, name)`
| ``detached`(self, reference, identity)` Called when a broker is 'detached' from me. (inherited from `Perspective`)
| ``getIdentityRequest`(self)` Request my identity. (inherited from `Perspective`)
| ``getPerspectiveName`(self)` Return the unique name of this perspective. (inherited from `Perspective`)
| ``getService`(self)` Return a service. (inherited from `Perspective`)
| `isSubscribed(self, name)`
| `listMailboxes(self, ref, wildcard)`
| ``makeIdentity`(self, password)` Make an identity from this perspective with a password. (inherited from `Perspective`)
| `rename(self, oldname, newname)`
| `select(self, name, readwrite)`
| ``setIdentity`(self, ident)` Determine which identity I connect to. (inherited from `Perspective`)
| `setIdentityName(self, name)` (inherited from `Perspective`)
| ``setService`(self, service)` Change what service I am a part of. (inherited from `Perspective`)
| `subscribe(self, name)`
| `unsubscribe(self, name)`

Class Variable Summary
`tuple` | `__implements__`
`NoneType` | `mailboxes`
`NoneType` | `subscriptions`
`int` | `top_id`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.protocols.imap4.IAccount'>,)

### mailboxes

  Type:
    `NoneType`
  Value:

        None

### subscriptions

  Type:
    `NoneType`
  Value:

        None

### top_id

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:38 2003 | http://epydoc.sf.net